MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002055VCMIMechanics - Otherpublic2015-02-06 09:012015-03-18 05:29
ReporterSXX 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.97c 
Summary0002055: Crash in DeathStareMechnics::applyBattleEffects on AI turn
DescriptionThis does happen every time with this save. As logs are quite big I decide to pack them in ZIP.

Tested with current git. Also tried to reproduce it on my own battle with Mighty Gorgon, but didn't managed to do so.
Steps To Reproduce  - Load save game
  - End turn
  - Game will crash on one of AI turns
TagsNo tags attached.
Attached Filestxt file icon backtrace.txt [^] (1,617 bytes) 2015-02-06 09:01 [Show Content]
zip file icon save.zip [^] (1,912,005 bytes) 2015-02-06 09:02
zip file icon logs.zip [^] (568,464 bytes) 2015-02-06 09:02

- Relationships
has duplicate 0002047closedWarmonger deadly glance gorgon for diamond golem = block 
has duplicate 0002028closedAVS Crash turn AI 

-  Notes
(0005417)
AVS (administrator)
2015-02-06 20:55

Not related to AI itself, problem is DEATH_STARE immunity.
(0005418)
AVS (administrator)
2015-02-06 21:09

Fixed
(0005419)
SXX (administrator)
2015-02-07 02:57

Works like a charm. Thanks.

- Issue History
Date Modified Username Field Change
2015-02-06 09:01 SXX New Issue
2015-02-06 09:01 SXX File Added: backtrace.txt
2015-02-06 09:02 SXX File Added: save.zip
2015-02-06 09:02 SXX File Added: logs.zip
2015-02-06 20:55 AVS Note Added: 0005417
2015-02-06 21:09 AVS Note Added: 0005418
2015-02-06 21:09 AVS Status new => resolved
2015-02-06 21:09 AVS Fixed in Version => 0.97c
2015-02-06 21:09 AVS Resolution open => fixed
2015-02-06 21:09 AVS Assigned To => AVS
2015-02-07 02:57 SXX Note Added: 0005419
2015-02-14 18:24 Warmonger Relationship added has duplicate 0002047
2015-02-14 20:40 AVS Relationship added has duplicate 0002028
2015-03-18 05:29 AVS Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean